> ## Documentation Index
> Fetch the complete documentation index at: https://developer.salesforge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit LinkedIn account OTP

> Submits a one-time password to complete a LinkedIn account connection that is waiting on 2FA verification.



## OpenAPI

````yaml /openapi/multichannel-publicapi.json post /multichannel/workspaces/{workspaceID}/linkedin/accounts/{linkedinAccountID}/otp
openapi: 3.1.0
info:
  description: >-
    Returns the current state of a LinkedIn account. Useful while polling a
    connection that is waiting on OTP.
  title: Multichannel Public API
  version: '1.0'
servers:
  - url: /public
security:
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
  - ApiKeyAuth: []
externalDocs:
  description: ''
  url: ''
paths:
  /multichannel/workspaces/{workspaceID}/linkedin/accounts/{linkedinAccountID}/otp:
    post:
      tags:
        - multichannel
      summary: Submit LinkedIn account OTP
      description: >-
        Submits a one-time password to complete a LinkedIn account connection
        that is waiting on 2FA verification.
      parameters:
        - description: Workspace ID
          in: path
          name: workspaceID
          required: true
          schema:
            type: string
        - description: LinkedIn account ID
          in: path
          name: linkedinAccountID
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                - $ref: >-
                    #/components/schemas/requests.SubmitLinkedinAccountOTPRequest
                  summary: request
                  description: OTP code
        description: OTP code
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.LinkedinAccountResponse'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Not Found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Conflict
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    requests.SubmitLinkedinAccountOTPRequest:
      properties:
        code:
          maxLength: 10
          minLength: 4
          type: string
      required:
        - code
      type: object
    responses.LinkedinAccountResponse:
      properties:
        checkpoint:
          properties:
            data:
              type: string
            publicKey:
              type: string
            type:
              type: string
          type: object
        firstName:
          type: string
        id:
          type: integer
        isConnected:
          type: boolean
        lastName:
          type: string
        linkedinUrl:
          type: string
        premiumType:
          type: string
        profilePictureUrl:
          type: string
        requires2fa:
          type: boolean
        state:
          type: string
        status:
          type: string
      type: object
    responses.ErrorResponse:
      properties:
        data: {}
        message:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: Authorization
      type: apiKey

````